/**************************************************************************
* iptrk - ip tracker
* Copyright (C) 2003 Jason Nunn <jsno@leal.com.au>
* Darwin, NT, Australia. 
* Originally developed for Arafura Connect (Dec 2000 - Mar 2003)
* Donated to GPL before liquidation.
*
* =======================================================================
* graph form generator (address domain)
*
**************************************************************************/
#include "defs.h"
#include "lib.p"
#include "lib_cgi.p"

#define M_PATH "/cgi-bin/iptrkga_cgi2.pl"

/**************************************************************************
*
**************************************************************************/
int main(void)
{
  int  i;
  char str[STR_LEN + 1];

  get_dir_entries(IPTRK_LOG_IP_PATH);
  format_date_entry(time(NULL), str);

  printf(
    "Content-type: text/html\n\n"
    "<html>"
    "<title>Build/view graph (Address Domain)</title>"
    "<body TEXT=\"#ffffff\" BGCOLOR=\"#000000\" LINK=\"#8888FF\" VLINK=\"#FF0000\">"
    "<font color=\"#d0d0f0\">"
    "<center><img src=\"/iptrk.png\"><p>"
    "<font color=\"#80f0a0\">"
    "Build new graph (Address Domain)"
    "<hr>"
    "<font color=\"#ffffff\">"
    "<p>"
    "<form action=\"" M_PATH "\" method=\"GET\">"
    "<table>"
    "<tr>"
    "<td align=right>ip_log:</td>"
    "<td><select name=\"ip_log\">");

  for(i = 0; i < dir_len; i++)
    printf("<option value=\"" IPTRK_LOG_IP_PATH "/%s\">%s",
      dir_tab[i].name, dir_tab[i].name);

  printf(
    "</select></td>"
    "</tr>"
    "<tr>"
    "<td align=right>Start time:</td>"
    "<td><input type=\"text\" name=\"start\" value=\"%s\" size=17> "
    "(or HH:MM)</td>"
    "</tr>"
    "<tr>"
    "<td align=right>End time:</td>"
    "<td><input type=\"text\" name=\"end\" value=%s size=17></td>"
    "</tr>"
    "<tr>"
    "<td align=right></td>"
    "<td><input type=\"submit\" value=\"Generate\"></td>"
    "</tr>"
    "</table>"
    "</font>"
    "<p>"
    "<hr>"
    "</center>"
    "</body>"
    "</html>", str, str);

  return 0;
}
